#!/bin/sh
#file:initialDb.sh
#company:dt-platform
#author:DVorobiev
INFLUXDB_DATABASE_NAME=$DB_NAME
INFLUXDB_USER_NAME=$USERNAME
INFLUXDB_USER_PWD=$PASSWORD
# Создать базу данных
echo "Create database: $INFLUXDB_DATABASE_NAME"
influx -execute "create database $INFLUXDB_DATABASE_NAME"
influx -execute "use $INFLUXDB_DATABASE_NAME"
# Создать пользователя и авторизоваться
echo "Create user: $INFLUXDB_USER_NAME and authorization"
influx -execute "create user $INFLUXDB_USER_NAME with password '$INFLUXDB_USER_PWD'"
influx -execute "grant all on $INFLUXDB_DATABASE_NAME to $INFLUXDB_USER_NAME"
# Запросить список пользователей
echo "List users"
influx -execute "use $INFLUXDB_DATABASE_NAME" -execute  "show users"